%define langpack 1

Name: gq
Version: 0.7.0
Release: alt6.beta2


Summary: GQ is an interactive graphical LDAP browser.
Summary(ru_RU.UTF-8): GQ - графический LDAP клиент.
License: GPL
Group: Networking/Other 
Url: http://biot.com/%name

Source0: http://prdownloads.sourceforge.net/gqclient/gq-%version-beta2.tar.bz2
Source1: http://prdownloads.sourceforge.net/gqclient/gq-%version-beta2-langpack-%langpack.tar.bz2
Patch:	gq-0.7.0beta2.patch

Requires: gdk-pixbuf
Requires: gtk+ >= 1.2.0
Requires: libsasl

BuildPreReq: autoconf_2.13
BuildPreReq: automake_1.4
BuildPreReq: libsasl-devel
# Automatically added by buildreq on Thu Oct 24 2002
BuildRequires: XFree86-devel XFree86-libs gdk-pixbuf-devel glib-devel gtk+-devel libldap-devel libssl-devel


%description
GQ is GTK+ LDAP client and browser utility. It can be used
for searching LDAP directory as well as browsing it using a
tree view.

%description -l ru_RU.UTF-8
GQ это LDAP клиент основанный на GTK+. Его можно использовать для посика в LDAP каталоге, а также для просмотра каталога в виде "дерева".  


%prep
%setup -q -n %name-%version
tar -xjf %SOURCE1
./gq-%version-langpack-%langpack/langpack .

%patch -b .stempfest-patch

%build
%set_autoconf_version 2.13
%set_automake_version 1.4

## It's a TOT for Upgrade to new version of AUTOTOOLS
##autoupdate
##aclocal
##automake --add-missing

%configure \
	--disable-debugging \
	--with-included-gettext \
	--enable-browser-dnd \
	--enable-cache 
#	--with-kerberos-prefix=/usr/lib/krb5/ 
	
%make_build

%install
%makeinstall install-strip 

install -d $RPM_BUILD_ROOT%_iconsdir
install -m 644 icons/logo.xpm $RPM_BUILD_ROOT%_iconsdir/%name.xpm

# menu support
install -d $RPM_BUILD_ROOT%_menudir
cat << EOF > $RPM_BUILD_ROOT%_menudir/%name
?package(%name): longtitle="%summary" \
command="%_bindir/%name" title="%name"  needs="x11" \
section="Networking/Other" \
icon="%name.xpm"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%doc README README.TLS README.langpack README.NLS INSTALL COPYING ChangeLog RELNOTES NEWS TODO AUTHORS
%_bindir/%name
%_menudir/%name
%_iconsdir/%{name}*
%_datadir/pixmaps/gq/*
%_datadir/locale/*/LC_MESSAGES/*.mo

%changelog
* Wed Nov 06 2002 Serge A. Volkov <vserge@altlinux.ru> 0.7.0-alt6.beta2
- Add UTF-8 Description and Summary -- now menu ganerate right.
- 
* Thu Oct 31 2002 Serge A. Volkov <vserge@altlinux.ru> 0.7.0-alt5.beta2
- Add requires of autoconf and automake old version!!!

* Mon Oct 28 2002 Serge A. Volkov <vserge@altlinux.ru> 0.7.0-alt4.beta2
- Update Requires

* Thu Oct 24 2002 Serge A. Volkov <vserge@altlinux.ru> 0.7.0-alt3.beta2
- Add patch from Peter Stemfest
- Correct rpm Group
- Update BuildRequires
- Add translations for descritions and Summary
- Add Requires and BuildRequires for libsasl2 and libsasl2-devel (buildreq utils not find it)

* Wed Oct 16 2002 Serge A. Volkov <vserge@altlinux.ru> 0.7.0beta2-alt2
- Update to new beta2 version
- Add --with-included-gettext (langpack0)

* Mon Oct 07 2002 Serge A. Volkov <vserge@altlinux.ru> 0.7.0beta1-alt1
- Update to new beta1 version

* Tue Jul 16 2002 Serge A. Volkov <vserge@altlinux.ru> 0.6.0-alt3
- Correct BuildRequies for gdk-pixbuf-devel now realy can see jpegPhoto

* Thu Jul 11 2002 Serge A. Volkov <vserge@altlinux.ru> 0.6.0-alt2
- Add new options for configure
  - --enable-browser-dnd for drag and drop support in browse mode 
  - --enable-cache for supports the OpenLDAP experimental client cache
- Update BuildRequires
 
* Thu Jul 11 2002 Serge A. Volkov <vserge@altlinux.ru> 0.6.0-alt1
- Update for 0.6.0 
- spec correction

* Tue Mar 19 2002 Serge A. Volkov <vserge@altlinux.ru> 0.5.0-alt1
- Update version to 0.5.0
- Spec cleanup

* Sat May 05 2001 Rider <rider@altlinux.ru> 0.4.0-alt1
- first build for ALT Linux

* Thu Mar 15 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.4.0-2.1mdk
- changed make macro

* Thu Mar 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-2mdk
- fixes from Christian Zoffoli <czoffoli@linux-mandrake.com>
- changes in menu entry

* Tue Mar 06 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.4.0-1mdk
- new package

